Get all sub-sources in the firm Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/lead-sub-sources

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Filter by name.

  • filter[archived] string

    Whether to include archived sub-sources. Valid options are [exclude, include, only]. Defaults to 'exclude'.

  • sort string

    Field to sort by. Valid fields are [position, name, created_at]. Negative sign to denote DESC. Defaults to 'position'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • name string
      • description string
      • position integer
      • archived boolean
      • lead_source object
        Hide lead_source attributes Show lead_source attributes object
        • uuid string
        • name string
        • description string
        • position integer
        • archived boolean
        • sub_sources object
          Hide sub_sources attributes Show sub_sources attributes object
          • uuid

            The UUID of the resource.

          • name

            The name of the lead sub-source.

          • description

            An optional description of the lead sub-source.

          • position

            The position of the sub-source within its lead source's list.

          • archived

            Whether the sub-source is archived and hidden from selection.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

        • created_at string
        • updated_at string
      • created_at string
      • updated_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v1/lead-sub-sources
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/lead-sub-sources' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "45726cb7-3c41-4f6c-8a79-b08f59f8a898",
      "name": "Google",
      "description": "Paid search on Google",
      "position": 1,
      "archived": false,
      "lead_source": {
        "uuid": "8a4f4681-e974-4fd5-a370-b6efde3e3775",
        "name": "Website",
        "description": "Enquiries via the contact page",
        "position": 1,
        "archived": false,
        "sub_sources": {
          "uuid": "3c5c8ee5-10d2-4665-a299-405c954225a8",
          "name": "Google",
          "description": "Paid search on Google",
          "position": 1,
          "archived": false,
          "created_at": "2026-10-29T17:25:14+00:00",
          "updated_at": "2026-10-29T17:25:14+00:00"
        },
        "created_at": "2026-10-29T17:25:06+00:00",
        "updated_at": "2026-10-29T17:25:06+00:00"
      },
      "created_at": "2026-10-29T17:25:06+00:00",
      "updated_at": "2026-10-29T17:25:06+00:00"
    }
  ]
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}